FrameGraph implementation of a forward renderer.">

- Qt 6.5
- Qt 3D
- C++ Classes
- Qt3DExtras
- QForwardRenderer
- Qt 6.5.1 Reference Documentation

# Obsolete Members for QForwardRenderer

The following members of class QForwardRenderer are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Properties

- `(deprecated)` window : QObject*

## Property Documentation

### window : QObject*

This property is deprecated. We strongly advise against using it in new code.

Holds the current render surface.

Access functions:

QObject * | surface() const
void | setSurface(QObject *surface)

Notifier signal:

void | surfaceChanged(QObject *surface)